Subject: Re: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Dec 2024 09:35:31 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Thu, 5 Dec 2024 01:53:30 -0500
> Cc: [email-masked], [email-masked], [email-masked]
> 
>  If what you see is the same as Eshel, I will ask you the same question: shouldn't you apply
>  face-remapping to the 2 new faces instead of the 'header-line' face from which they both inherit? What
>  happens if you do define remapping for those two new faces?
> 
> My specific problem does not occur if I remap the two new faces. Why would I need to do that though? Both
> inherit from header-line, so if I wanted to change both, I would naturally change the base face.

Technically, because mode-line and header-line are no longer
considered "basic faces", and because the display code uses these
faces directly in C.

> Furthermore, this problem only happens *once* per Emacs session. After that, I cannot seem to reproduce it
> again until I restart Emacs. All of this points to a bug, in my opinion unless header-line is considered
> deprecated or somehow falls into a realm of not being able to remap for some reason. 

What exactly happens "once per session"?  Can you show some Lisp to
reproduce this "once" occurrence?